package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
public class AuthController {
    @Autowired
    private AuthService authService;
    @GetMapping("aaa")
    public void aaa (){
        log.info("aaaa");
    }
    /**
     * 登录
     * @param user
     * @return
     */
    @PostMapping("login")
    public Result<JwtResponse> login(@RequestBody User user){
        return Result.success(authService.login(user));
    }
    /**
     * 注册
     * @param user
     * @return
     */
    @PostMapping("insertUser")
    public Result insertUser(@RequestBody User user){
        authService.insertUser(user);
        return Result.success();
    }

    /**
     * 身份
     * @return
     */
    @GetMapping("getinfo")
    public Result<User> getinfo(){
        return Result.success(authService.getinfo());
    }
    /**
     * 退出
     * @return
     */
    @GetMapping("logout")
    public Result<User> logout(){
        authService.logout();
        return Result.success();
    }

}
