package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "bwie-user" ,fallbackFactory = AuthFeignImpl.class)
public interface AuthFeign {
    /**
     *
     * @param user
     * @return
     */
    @PostMapping("login")
    Result<User> login(@RequestBody User user);

    /**
     * 添加用户
     * @param user
     */
    @PostMapping("insertUser")
    Result<Integer> insertUser(@RequestBody User user);
}
