package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class AuthFeignImpl implements FallbackFactory<AuthFeign> {

    @Override
    public AuthFeign create(Throwable cause) {
        return new AuthFeign() {
            @Override
            public Result<User> login(User user) {
                return Result.error("网络已断开,请稍后重试");
            }

            @Override
            public Result<Integer> insertUser(User user) {
                return Result.error("网络已断开,请稍后重试");
            }
        };
    }
}
