package com.bwie.common.exception;

/**
 * @ClassName exceptionCategoryDelete
 * @Description 描述
 * @Author ZhiXiAng.Li
 * @Date 2024/6/2 23:07
 */

import com.bwie.common.domain.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 * 将业务层抛出的异常信息捕获到，然后交给全局异常处理器去处理，给前端提供错误信息
 * @param exception
 * @return
 */
@Slf4j
public class CustomException extends RuntimeException{
    /**
     *  自定义业务异常类
     * @param message
     */
    public CustomException(String message){
        super(message);
        log.info(message.toString());
    }

    /**
     * 将业务层抛出的异常信息捕获到，然后交给全局异常处理器去处理，给前端提供错误信息
     * @param exception
     * @return
     */
    @ExceptionHandler(CustomException.class)//RuntimeException异常类型通过注解拿到
    public R<String> exceptionCategoryDelete(CustomException exception){
        log.error(exception.getMessage());//在控制台打印错误信息
        return R.error(exception.getMessage());

    }

}


