package com.bwie.es.config;

import lombok.Data;
import org.apache.http.HttpHost;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "es")
@Data
public class EsConfigInit {

    private String host;
    private int port;
    private String scheme;


    @Bean// RestHighLevelClient 用来 做 es 操作
    public RestHighLevelClient initRestHighLevelClient(){

        return new RestHighLevelClient(RestClient.builder(new HttpHost(host,port,scheme)));
    }

}
