package com.bwie.es.sync;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.bwie.common.domain.Goods;
import com.bwie.es.feign.EsFeign;
import com.bwie.es.service.EsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.List;

@Component
@Slf4j
public class ToEsDate {
    @Autowired
    private EsService esService;
    @Autowired
    private EsFeign esFeign;

    @Scheduled(cron = "*/20 * * * * ?")
    public void ToEsDateCron(){
        List<Goods> data = esFeign.list().getData();
        log.info("es,同步数据:"+ JSONArray.toJSON(data));
        //删除所有数据
        esService.delAllData(data);
        // 全量同步
        esService.plAdd(data);
        log.info("es,同步数据成功!.....");
    }
}
