package com.bwie.expressage.mapper;

import com.bwie.common.domain.Goods;
import com.bwie.common.domain.Rob;
import com.bwie.common.domain.request.*;
import com.bwie.common.domain.response.RobListVO;
import com.bwie.common.domain.response.ShopListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ExMapper {
    /**
     * 秒杀列表
     * @param robListDTO
     * @return
     */
    List<RobListVO> robList(RobListDTO robListDTO);

    /**
     * 商品列表
     * @param goodsListDTO
     * @return
     */
    List<Goods> goodsList(GoodsListDTO goodsListDTO);

    /**
     * 购物车列表
     * @param shopListDTO
     * @return
     */
    List<ShopListVO> shopList(ShopListDTO shopListDTO);

    /**
     * 添加购物车表
     * @param insertShopDTO
     */
    void insertShop(InsertShopDTO insertShopDTO);

    /**
     * 修改购物车对应商品数量+1
     * @param updateShopNumDTO
     * @return
     */
    Integer UpdateShopNum(UpdateShopNumDTO updateShopNumDTO);

    /**
     * 修改商品库存-1
     * @param ids
     */
    void UpdateGoodsStashByGid(@Param("ids") List<Integer> ids);

    /**
     * 修改用户余额
     * @param updateUserMoneyDTO
     */
    void updateUserMoney(UpdateUserMoneyDTO updateUserMoneyDTO);

    /**
     * 商品列表
     * @return
     */
    List<Goods> list();

    /**
     * 添加秒杀规则
     * @param rob
     */
    void insertRobDTO(Rob rob);

    /**
     * 通过商品id查看该商品存不存在
     * @param gid
     * @return
     */
    List<Goods> selectGoodsByGid(@Param("gid") Integer gid);

    /**
     * 修改秒杀限量 -1
     * @param rid
     */
    void UpdateRobLimited(@Param("rid") Integer rid);

    /**
     * 删除 购物车表
     * @param gid
     */
    void updateShopIsdel(@Param("gid") Integer gid);
}
