package com.bwie.expressage.service;

import com.bwie.common.domain.Goods;
import com.bwie.common.domain.Rob;
import com.bwie.common.domain.request.*;
import com.bwie.common.domain.response.RobListVO;
import com.bwie.common.domain.response.ShopListVO;

import java.util.List;

public interface ExService {
    /**
     * 秒杀列表
     * @param robListDTO
     * @return
     */
    List<RobListVO> robList(RobListDTO robListDTO);

    /**
     * 商品列表
     * @param goodsListDTO
     * @return
     */
    List<Goods> goodsList(GoodsListDTO goodsListDTO);

    /**
     * 购物车列表
     * @param shopListDTO
     * @return
     */
    List<ShopListVO> shopList(ShopListDTO shopListDTO);

    /**
     * 添加购物车表
     * @param insertShopDTO
     * @return
     */
    void insertShop(InsertShopDTO insertShopDTO);

    /**
     * 购物车结算
     * @param updateUserMoneyDTO
     */
    void updateUserMoney(UpdateUserMoneyDTO updateUserMoneyDTO);

    /**
     * 商品列表
     * @return
     */
    List<Goods> list();

    /**
     * 添加秒杀规则
     * @param rob
     */
    void insertRobDTO(Rob rob);
}
