package com.bwie.rabbitmq.consumer;

import com.rabbitmq.client.Channel;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
@Log4j2
public class MsgConsumer {
    @RabbitListener(queuesToDeclare = {@Queue("send_msg")})
    public void sendMsg(String sendMsg, Message message, Channel channel){
        try {
            log.info("消费者消费消息:{}",sendMsg);
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            try {
                channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
            } catch (IOException ex) {
                throw new RuntimeException(ex);
            }
        }

    }
}
