package com.bwie.rabbitmq.consumer;

import com.rabbitmq.client.Channel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
@Slf4j
public class SnedConsumer {
    @Autowired
    private StringRedisTemplate redisTemplate;

    @RabbitListener(queuesToDeclare = {@Queue("snedPhone")})
    public void SnedConsumer(String aaa, Message message, Channel channel){
        String messageId = message.getMessageProperties().getMessageId();
        Long key1 = redisTemplate.opsForSet().add("aa", messageId);
        if(key1==1){
            try {
                log.info("消费者消费:"+aaa);
                channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
            } catch (IOException e) {
                try {
                    redisTemplate.opsForSet().remove("aa", messageId);
                    channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
                } catch (Exception ex) {
                    throw new RuntimeException(ex);
                }
            }
        }


    }

}
